# FIXME: debugsource generation issues
%global debug_package %{nil}

# This is using define so that it can be evaluated when used
%define name_lc %(echo "%{name}" | tr '[:upper:]' '[:lower:]')


Name:           EmulationStation-DE
Version:        2.0.0
Release:        1%{?dist}
Summary:        Graphical frontend for managing games

License:        MIT
URL:            https://es-de.org/
Source0:        https://gitlab.com/es-de/%{name_lc}/-/archive/v%{version}/%{name_lc}-v%{version}.tar.gz

# Fix missing cstdint header in lunasvg dependency
Patch0:         esde-lunasvg-cstdint.patch

BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  clang-tools-extra
BuildRequires:  libcurl-devel
BuildRequires:  SDL2-devel
BuildRequires:  ffmpeg-free-devel
BuildRequires:  freeimage-devel
BuildRequires:  freetype-devel
BuildRequires:  libgit2-devel
BuildRequires:  pugixml-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libglvnd-devel
BuildRequires:  pkgconfig(libcec)

Provides:       %{name_lc} = %{version}-%{release}
Provides:       %{name_lc}%{?_isa} = %{version}-%{release}

%description
EmulationStation Desktop Edition is a frontend for browsing
and launching games from your multi-platform game collection.


%prep
%autosetup -n %{name_lc}-v%{version} -p1


%build
%cmake -GNinja -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DLINUX_CPACK_GENERATOR=RPM \
	-DAPPLICATION_UPDATER=OFF \
	-DVIDEO_HW_DECODING=ON \
	-DCEC=OFF

%cmake_build

%install
%cmake_install


%files
%license LICENSE
%doc README.md CREDITS.md FAQ.md THEMES.md USERGUIDE.md CHANGELOG.md
%{_bindir}/emulationstation
%{_mandir}/man6/emulationstation.6*
%{_datadir}/applications/org.es_de.%{name_lc}.desktop
%{_datadir}/pixmaps/org.es_de.%{name_lc}.svg
%{_datadir}/icons/hicolor/scalable/apps/org.es_de.%{name_lc}.svg
%{_metainfodir}/org.es_de.%{name_lc}.appdata.xml
%{_datadir}/emulationstation/


%changelog
* Sat Apr 22 2023 Neal Gompa <ngompa@fedoraproject.org> - 2.0.0-1
- Initial package
